# class Gem::StreamUI::SilentProgressReporter

An absolutely silent progress reporter.

### Attributes

count [R]

The count of items is never updated for the silent progress reporter.

### Public Class Methods

new (out_stream, size, initial_message, terminal_message = nil)
Source

    # File lib/rubygems/user_interaction.rb, line 395
    def initialize(out_stream, size, initial_message, terminal_message = nil)
    end

Creates a silent progress reporter that ignores all input arguments.

### Public Instance Methods

done ()
Source

    # File lib/rubygems/user_interaction.rb, line 409
    def done
    end

Does not print anything when complete as this object has taken a vow of silence.

updated (message)
Source

    # File lib/rubygems/user_interaction.rb, line 402
    def updated(message)
    end

Does not print `message` when updated as this object has taken a vow of silence.